<template>
  <div v-if="sportBet.DisplayType == 1" class="grid grid-cols-3 gap-2">
    <div class="flex items-center justify-between col-span-3">
      <div class="flex items-center gap-2">
        <h4 class="text-sm font-bold">
          {{ sportBetDetail.MarketType }} - {{ sportBetDetail.BetOption }}
        </h4>
      </div>
      <span class=""
        >@{{ sportBetDetail.SubBetOddsForDisplay }}({{
          sportBet.OddsStyle
        }})</span
      >
    </div>
    <div class="col-span-3">
      <span>{{ sportBetDetail.SportType }}</span>
    </div>
  </div>

  <div v-else-if="sportBet.DisplayType == 2" class="grid grid-cols-3 gap-2">
    <div class="flex items-center justify-between col-span-3">
      <div class="flex items-center gap-2">
        <h4 class="text-sm font-bold">{{ sportBetDetail.BetOption }}</h4>
      </div>
    </div>
  </div>

  <div v-else class="grid grid-cols-3 gap-2">
    <div class="flex items-center justify-between col-span-3">
      <div class="flex items-center gap-2">
        <h4 class="text-sm font-bold">
          <span>
            {{ sportBetDetail.MarketTypeForDisplay }} /
            {{ getSelectedText() }}
          </span>
          <span v-if="isSabaSport"
            >@ {{ sportBetDetail.HandicapPointForDisplay }}</span
          >
          <template
            v-if="
              !isSabaSport &&
              Object.values(EnumSportShowMarketType).includes(
                sportBetDetail.BetType
              )
            "
            >{{ sportBetDetail.HandicapPointForDisplay }}</template
          >
        </h4>
        <span
          v-if="sportBet.BetDetails.length > 1"
          class="h-4 p-px rounded-sm fc-textBtn"
          :class="`bg-${sportBetDetail.SubBetStatusColorForMobileDisplay}`"
        >
          {{ sportBetDetail.SubBetStatusForDisplay }}
        </span>
      </div>
      <span class=""
        >@{{ sportBetDetail.SubBetOddsForDisplay }}({{
          sportBet.OddsStyle
        }})</span
      >
    </div>
    <div class="col-span-3">
      <span>{{ sportBetDetail.SportType }}</span>
    </div>
    <div class="col-span-3">
      <span>{{ sportBetDetail.Match }}</span>
    </div>
    <div class="col-span-3">
      <span>{{ sportBetDetail.League }}</span>
    </div>
    <div class="flex items-center justify-between col-span-3">
      <span>{{ sportBetDetail.WinLoseDate }}</span>
      <div v-if="sportBet.IsLiveBet">
        <span
          >@Live
          <template v-if="[1, 7, 16, 5].includes(sportBetDetail.BetType)">{{
            sportBetDetail.LiveScore
          }}</template></span
        >
      </div>
    </div>
    <div>
      <div v-if="sportBet.GameRoundId">{{ sportBet.GameRoundId }}</div>
      <div v-if="sportBet.GamePeriodId">{{ sportBet.GamePeriodId }}</div>
    </div>
  </div>
</template>

<script lang="ts">
import { SportBet, SportBetDetail } from "@/models/sportbet/sportbet";
import { EnumSportShowMarketType } from "~~/models/enums/enumSport";
import _ from "lodash";
import { PropType, computed, defineComponent } from "vue";
import { useSportBetHistory } from "~~/composables/useSportBetHistory";

export default defineComponent({
  name: "VirtualSport",
  props: {
    sportBet: {
      type: Object as PropType<SportBet>,
      required: true,
    },
    sportBetDetail: {
      type: Object as PropType<SportBetDetail>,
      required: true,
    },
  },
  setup(props) {
    const { getSelectedText } = useSportBetHistory(props);
    const isSabaSport = computed(
      () =>
        _.toUpper(props.sportBet.GameProviderName) === "SABA" &&
        _.toUpper(props.sportBetDetail.SportType) === "SOCCER"
    );
    return {
      getSelectedText,
      EnumSportShowMarketType,
      isSabaSport,
    };
  },
});
</script>
